ODA_MANAGEMENT_CHANNEL_UPDATE-CHANNEL-UPDATE-SERVICE-CLOUD-CHANNEL-DETAILS(1)

NAME
oda_management_channel_update-channel-update-service-cloud-channel-details -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Updates the specified Channel with the information in the request body.

USAGE

oci oda management channel update-channel-update-service-cloud-channel-details [OPTIONS]

REQUIRED PARAMETERS

--channel-id [text]

    Unique Channel identifier.

--oda-instance-id [text]

    Unique Digital Assistant instance identifier.

OPTIONAL PARAMETERS

--client-type [text]

    The type of Service Cloud client.

    Accepted values are:

    REST, WSDL

--defined-tags [complex type]

    Usage of predefined tag keys. These predefined keys are scoped to namespaces. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--description [text]

    A short description of the Channel.

--domain-name [text]

    The domain name.

    If you have access to Oracle B2C Service, you can derive this value from the URL that you use to launch the Agent Browser User Interface. For example, if the URL is sitename.exampledomain.com, then the host name prefix is sitename and the domain name is exampledomain.com.

    If the channel is connecting to Oracle B2C Service version 19A or later, and you have multiple interfaces, then you must include the interface ID in the host (site) name . For example, for the interface that has an ID of 2, you would use something like sitename-2.exampledomain.com.

--force

    Perform update without prompting for confirmation.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type, or scope. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--host-name-prefix [text]

    The host prefix.

    If you have access to Oracle B2C Service, you can derive this value from the URL that you use to launch the Agent Browser User Interface. For example, if the URL is sitename.exampledomain.com, then the host name prefix is sitename and the domain name is exampledomain.com.

    If the channel is connecting to Oracle B2C Service version 19A or later, and you have multiple interfaces, then you must include the interface ID in the host (site) name . For example, for the interface that has an ID of 2, you would use something like sitename-2.exampledomain.com.

--if-match [text]

    For optimistic concurrency control in a PUT or DELETE call for a Digital Assistant instance, set the if-match query parameter to the value of the ETAG header from a previous GET or POST response for that instance. The service updates or deletes the instance only if the etag that you provide matches the instance’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--name [text]

    The Channel’s name. The name can contain only letters, numbers, periods, and underscores. The name must begin with a letter.

--password [text]

    The password for the Oracle B2C Service staff member who has the necessary profile permissions.

--session-expiry-duration-in-milliseconds [integer]

    The number of milliseconds before a session expires.

--user-name [text]

    The user name for an Oracle B2C Service staff member who has the necessary profile permissions.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, INACTIVE, UPDATING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export name=<substitute-value-of-name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/oda/management/channel/create.html#cmdoption-name
    export oda_instance_id=<substitute-value-of-oda_instance_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/oda/management/channel/create.html#cmdoption-oda-instance-id
    export type=<substitute-value-of-type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/oda/management/channel/create.html#cmdoption-type
    channel_id=$(oci oda management channel create --name $name --oda-instance-id $oda_instance_id --type $type --query data.id --raw-output)
    oci oda management channel update-channel-update-service-cloud-channel-details --channel-id $channel_id --oda-instance-id $oda_instance_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle